Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.actions
Class LogoutUser

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Action
              org.apache.turbine.modules.actions.LogoutUser

    public class LogoutUser

extends Action

This action removes a user from the session. It makes sure to save the User object in the session.

Version:
  $Id: LogoutUser.java 1066529 2011-02-02 17:01:46Z ludwig $
Author:
  Dave Bryson, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.Action
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`LogoutUser()`

Method Summary
`void` | `doPerform(PipelineData pipelineData)` Clears the RunData user object back to an anonymous status not logged in, and with a null ACL.
`void` | `doPerform(RunData data)` Deprecated. Use PipelineData version instead

Methods inherited from class org.apache.turbine.modules.Action
`getPrefix, perform, perform`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogoutUser

    public LogoutUser()

Method Detail

### doPerform

    @Deprecated
    public void doPerform(RunData data)
                   throws TurbineSecurityException

  Deprecated. Use PipelineData version instead

  Clears the RunData user object back to an anonymous status not logged in, and with a null ACL. If the tr.props ACTION_LOGIN is anthing except "LogoutUser", flow is transfered to the SCREEN_HOMEPAGE If this action name is the value of action.logout then we are being run before the session validator, so we don't need to set the screen (we assume that the session validator will handle that). This is basically still here simply to preserve old behaviour - it is recommended that action.logout is set to "LogoutUser" and that the session validator does handle setting the screen/template for a logged out (read not-logged-in) user.

  Specified by:
    `doPerform` in class `Action`
  Parameters:
    `data` - Turbine information.
  Throws:
    `TurbineSecurityException` - a problem occured in the security service.

### doPerform

    public void doPerform(PipelineData pipelineData)
                   throws TurbineSecurityException

  Clears the RunData user object back to an anonymous status not logged in, and with a null ACL. If the tr.props ACTION_LOGIN is anthing except "LogoutUser", flow is transfered to the SCREEN_HOMEPAGE If this action name is the value of action.logout then we are being run before the session validator, so we don't need to set the screen (we assume that the session validator will handle that). This is basically still here simply to preserve old behaviour - it is recommended that action.logout is set to "LogoutUser" and that the session validator does handle setting the screen/template for a logged out (read not-logged-in) user.

  Overrides:
    `doPerform` in class `Action`
  Parameters:
    `data` - Turbine information.
  Throws:
    `TurbineSecurityException` - a problem occured in the security service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.